#ifndef __PRJXMAIN_H
#define __PRJXMAIN_H

#define PRJNAME "Project X"
#define PRJVER "Beta 0.05"

#define LOGO         0
#define MAINMENU     1
#define MAINMAP      2
#define QUIT         3
#define SETUPMENU    4

BITMAP *TGA_MainMenu;
BITMAP *TGA_SetupMenu;
BITMAP *TGA_Slider;

int GAME_STAT;
int SndVol;
int SndSld;
int MidiVol;
int KeyWay;

struct MAPFILE
{
   int title;
   int walk;
   int flag;
   int enemy;
} Map[500][500];

struct PLAYER
{
   int x;
   int y;
   int hp;
   int mp;
} PL_player;

struct ITEM
{
   int hp1;
   int hp100;
   int mp1;
   int mp100;
   int elixer;
} PL_item;

struct WEAPON
{
   int knife1;
   int knife2;
   int sword1;
   int sword2;
   int shield1;
   int shield2;
   int bomb;
   int bow;
   int arrow;
} PL_weapon;


#define K_UP         "H"
#define K_DOWN       "P"
#define K_LEFT       "K"
#define K_RIGHT      "M"


#endif
