#include <stdio.h>
#include <allegro.h>

#include "prjxmain.h"
#include "sound.h"

int playwav(char *wavefile)
{
   SAMPLE *the_sample;
   the_sample=load_wav(wavefile);
   if(!the_sample)
   {
      allegro_exit();
      clrscr();
      printf("Error: Couldn't load %s\n",wavefile);
      printf("Please check the files and try your game again.\n");
      exit(1);
   }
   play_sample(the_sample,SndVol*5,128,1000,0);
   return(0);
}

int playmidi(char *midifile)
{
   MIDI *the_midi;
   the_midi=load_midi(midifile);
   if(!the_midi)
   {
      allegro_exit();
      clrscr();
      printf("Error: Couldn't load %s\n",midifile);
      printf("Please check the files and try your game again.\n");
      exit(1);
   }

   play_midi(the_midi,TRUE);
   return(0);
}

